BearSSL

Data Fields
br_ssl_client_context Struct Reference

Context structure for a SSL client. More...

`#include <bearssl_ssl.h>`

## Data Fields
br_ssl_engine_context | eng
| The encapsulated engine context. More...

## Detailed Description

Context structure for a SSL client.

The first field (called `eng`) is the SSL engine; all functions that work on a `br_ssl_engine_context` structure shall take as parameter a pointer to that field. The other structure fields are opaque and must not be accessed directly.

## Field Documentation

## ◆ eng

br_ssl_engine_context br_ssl_client_context::eng

The encapsulated engine context.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h